List modular inventory products
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"products": [
{
"productId": "<string>",
"availId": "<string>",
"collectionId": "<string>",
"collectionName": "<string>",
"name": "<string>",
"description": "<string>",
"channel": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"impressionsCapacity": 4503599627370495,
"heldImpressions": 4503599627370495,
"bookedImpressions": 4503599627370495,
"availableImpressions": 4503599627370495,
"cpm": 123,
"currency": "<string>",
"targeting": {},
"sourceMetadata": {},
"cadent": {
"campaignDeliveryType": "<string>",
"lineDeliveryType": "<string>",
"adType": "<string>",
"adClass": "<string>",
"targets": [
{
"targetType": "<string>",
"values": [
"<string>"
]
}
]
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List modular inventory products
List product-like projections from normalized avails on a modular inventory source.
GET
/
inventory-sources
/
{sourceId}
/
modular
/
products
List modular inventory products
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"products": [
{
"productId": "<string>",
"availId": "<string>",
"collectionId": "<string>",
"collectionName": "<string>",
"name": "<string>",
"description": "<string>",
"channel": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"impressionsCapacity": 4503599627370495,
"heldImpressions": 4503599627370495,
"bookedImpressions": 4503599627370495,
"availableImpressions": 4503599627370495,
"cpm": 123,
"currency": "<string>",
"targeting": {},
"sourceMetadata": {},
"cadent": {
"campaignDeliveryType": "<string>",
"lineDeliveryType": "<string>",
"adType": "<string>",
"adClass": "<string>",
"targets": [
{
"targetType": "<string>",
"values": [
"<string>"
]
}
]
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I